Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1496870 - Review Request: puppet-archive - manages download, deployment, and cleanup of archive files
Summary: Review Request: puppet-archive - manages download, deployment, and cleanup of...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: distribution
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Haïkel Guémar
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2017-09-28 16:24 UTC by Alfredo Moralejo
Modified: 2018-03-01 11:11 UTC (History)
3 users (show)

Fixed In Version: puppet-archive-2.2.1-0.10888dbgit.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 11:11:46 UTC
karlthered: rdo-review+


Attachments (Terms of Use)

Description Alfredo Moralejo 2017-09-28 16:24:41 UTC
puppet-archive module has been introduced as a dependency for puppet-rabbitmq in https://github.com/voxpupuli/puppet-rabbitmq/pull/604 so we need to include it in RDO repos.

Module code is in https://github.com/voxpupuli/puppet-archive

Spec will be generated automatically by RDO tooling so i'm not providing any spec file.

Comment 1 Alfredo Moralejo 2017-09-28 16:27:44 UTC
License is valid Apache v2.0

licensecheck output:

./.fixtures.yml: *No copyright* UNKNOWN
./.msync.yml: *No copyright* UNKNOWN
./.overcommit.yml: *No copyright* UNKNOWN
./.pmtignore: *No copyright* UNKNOWN
./.rspec: *No copyright* UNKNOWN
./.rspec_parallel: *No copyright* UNKNOWN
./.rubocop.yml: *No copyright* UNKNOWN
./.sync.yml: *No copyright* UNKNOWN
./.travis.yml: *No copyright* UNKNOWN
./.yardopts: *No copyright* UNKNOWN
./CHANGELOG.md: *No copyright* UNKNOWN
./CONTRIBUTING.md: *No copyright* UNKNOWN
./Gemfile: *No copyright* UNKNOWN
./HISTORY.md: *No copyright* UNKNOWN
./LICENSE: Apache (v2.0)
./README.md: *No copyright* UNKNOWN
./Rakefile: *No copyright* UNKNOWN
./metadata.json: *No copyright* UNKNOWN
./.github/CONTRIBUTING.md: *No copyright* UNKNOWN
./.github/ISSUE_TEMPLATE.md: *No copyright* UNKNOWN
./.github/PULL_REQUEST_TEMPLATE.md: *No copyright* UNKNOWN
./examples/archive.pp: *No copyright* UNKNOWN
./examples/artifactory.pp: *No copyright* UNKNOWN
./examples/bad_source.pp: *No copyright* UNKNOWN
./examples/cookie.pp: *No copyright* UNKNOWN
./examples/duplicate.pp: *No copyright* UNKNOWN
./examples/ftp.pp: *No copyright* UNKNOWN
./examples/java.pp: *No copyright* UNKNOWN
./examples/large_file.pp: *No copyright* UNKNOWN
./examples/local.pp: *No copyright* UNKNOWN
./examples/nexus.pp: *No copyright* UNKNOWN
./examples/remote_checksum.pp: *No copyright* UNKNOWN
./examples/ruby.pp: *No copyright* UNKNOWN
./examples/s3.pp: *No copyright* UNKNOWN
./examples/tomcat.pp: *No copyright* UNKNOWN
./files/test.zip: *No copyright* UNKNOWN
./manifests/artifactory.pp: *No copyright* UNKNOWN
./manifests/download.pp: *No copyright* UNKNOWN
./manifests/go.pp: *No copyright* UNKNOWN
./manifests/init.pp: *No copyright* UNKNOWN
./manifests/nexus.pp: *No copyright* UNKNOWN
./manifests/params.pp: *No copyright* UNKNOWN
./manifests/staging.pp: *No copyright* UNKNOWN
./spec/default_facts.yml: *No copyright* UNKNOWN
./spec/spec_helper.rb: *No copyright* UNKNOWN
./lib/facter/archive_windir.rb: *No copyright* UNKNOWN
./spec/classes/archive_spec.rb: *No copyright* UNKNOWN
./spec/classes/coverage_spec.rb: *No copyright* UNKNOWN
./spec/classes/staging_spec.rb: *No copyright* UNKNOWN
./spec/defines/artifactory_spec.rb: *No copyright* UNKNOWN
./spec/defines/go_spec.rb: *No copyright* UNKNOWN
./spec/defines/nexus_spec.rb: *No copyright* UNKNOWN
./spec/support/shared_behaviour.rb: *No copyright* UNKNOWN
./spec/support/shared_contexts.rb: *No copyright* UNKNOWN
./lib/puppet/type/archive.rb: *No copyright* UNKNOWN
./lib/puppet_x/bodeco/archive.rb: *No copyright* UNKNOWN
./lib/puppet_x/bodeco/cacert.pem: *No copyright* UNKNOWN
./lib/puppet_x/bodeco/util.rb: *No copyright* UNKNOWN
./spec/acceptance/nodesets/archlinux-2-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/centos-511-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/centos-6-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/centos-66-x64-pe.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/centos-66-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/centos-7-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/centos-72-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/debian-78-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/debian-82-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/fedora-24-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/fedora-25-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ubuntu-server-1204-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ubuntu-server-1404-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ubuntu-server-1604-x64.yml: *No copyright* UNKNOWN
./spec/fixtures/checksum/artifactory.json: *No copyright* UNKNOWN
./spec/fixtures/checksum/gocd.md5: *No copyright* UNKNOWN
./spec/unit/facter/archive_windir_spec.rb: *No copyright* UNKNOWN
./lib/puppet/parser/functions/artifactory_sha1.rb: *No copyright* UNKNOWN
./lib/puppet/parser/functions/assemble_nexus_url.rb: *No copyright* UNKNOWN
./lib/puppet/parser/functions/go_md5.rb: *No copyright* UNKNOWN
./lib/puppet/provider/archive/curl.rb: *No copyright* UNKNOWN
./lib/puppet/provider/archive/ruby.rb: *No copyright* UNKNOWN
./lib/puppet/provider/archive/wget.rb: *No copyright* UNKNOWN
./spec/acceptance/nodesets/docker/centos-5.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/docker/centos-6.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/docker/centos-7.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/docker/debian-7.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/docker/debian-8.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/docker/ubuntu-12.04.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/docker/ubuntu-14.04.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/docker/ubuntu-16.04.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ec2/amazonlinux-2016091.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ec2/image_templates.yaml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ec2/rhel-73-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ec2/sles-12sp2-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ec2/ubuntu-1604-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ec2/windows-2016-base-x64.yml: *No copyright* UNKNOWN
./spec/unit/puppet/type/archive_spec.rb: *No copyright* UNKNOWN
./spec/unit/puppet_x/bodeco/archive_spec.rb: *No copyright* UNKNOWN
./spec/unit/puppet/parser/functions/artifactory_sha1_spec.rb: *No copyright* UNKNOWN
./spec/unit/puppet/parser/functions/assemble_nexus_url_spec.rb: *No copyright* UNKNOWN
./spec/unit/puppet/parser/functions/go_md5_spec.rb: *No copyright* UNKNOWN
./spec/unit/puppet/provider/archive/curl_spec.rb: *No copyright* UNKNOWN
./spec/unit/puppet/provider/archive/ruby_spec.rb: *No copyright* UNKNOWN
./spec/unit/puppet/provider/archive/wget_spec.rb: *No copyright* UNK

Comment 2 Haïkel Guémar 2017-09-29 09:40:25 UTC
Approved!

FYI, we had to drop bundled certificates from the packages, they were not used on linux but we must ensure to use system ones.

Comment 3 Alfredo Moralejo 2018-03-01 11:11:46 UTC
puppet-archive-2.2.1-0.10888dbgit.el7 has been included in RDO Queens repository.


Note You need to log in before you can comment on or make changes to this bug.